## mono-armel 2.10.1-4maemo2

=== debian/changelog ===
mono-armel (2.10.1-4maemo2) fremantle; urgency=low

  * Fixed the location of libMonoSupportW.so and libMonoPosixHelper.so

 -- Tsukanov Nikita <keks9n@gmail.com>  Tue, 26 Apr 2011 19:20:45 +0200
